# Mark everything in a folder read for the caller

`POST /workspace/inbox/threads/read-all` · Rivier · inbox

Mark everything in a folder read for the caller.

- Scope: inbox:write
- Graphql: Mutation.inboxDeskMarkFolderRead
- Sdk: inbox.desk.markFolderRead
- Cli: inbox desk mark folder read

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "folder": {
      "type": "string",
      "enum": [
        "inbox",
        "sent",
        "archive",
        "junk",
        "trash",
        "held",
        "snoozed",
        "starred",
        "all"
      ],
      "default": "inbox"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/threads/read-all' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "folder": "inbox"
}'
```
